{
  "name": "@star-dust/user-management-keys",
  "version": "0.0.1",
  "description": "Keys module for the stardust user management system",
  "author": "ReedCode",
  "private": true,
  "license": "MIT",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "prestart": "cp ../tsconfig* .",
    "start": "nest start",
    "start:dev": "npm run start -- --watch",
    "start:debug": "npm run start -- --debug --watch",
    "start:prod": "node dist/main"
  },
  "dependencies": {
    "@nestjs/common": "^7.0.0",
    "@nestjs/config": "^0.5.0",
    "@nestjs/core": "^7.0.0",
    "@nestjs/passport": "^7.1.0",
    "@nestjs/platform-express": "^7.0.0",
    "axios": "^0.19.2",
    "base64url": "^3.0.1",
    "bcrypt": "^5.0.0",
    "class-transformer": "^0.2.3",
    "class-validator": "^0.12.2",
    "helmet": "^3.23.3",
    "nestjs-redis": "^1.2.8",
    "passport": "^0.4.1",
    "passport-local": "^1.0.0",
    "password-validator": "^5.0.3",
    "redis": "^3.0.2",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^6.5.4",
    "validator": "^13.1.1"
  },
  "devDependencies": {
    "@nestjs/cli": "^7.0.0",
    "@nestjs/schematics": "^7.0.0",
    "@types/bcrypt": "^3.0.0",
    "@types/express": "^4.17.3",
    "@types/node": "^13.9.1",
    "@types/passport-local": "^1.0.33",
    "ts-loader": "^6.2.1",
    "ts-node": "^8.6.2",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^3.7.4"
  }
}
